GBFUN(1)

NAME
gbfun - Apply functions to table of data

SYNOPSIS
gbfun [options] <function definition> ...

DESCRIPTION
Compute specified functions on data read from standard input. The default is to perform the computation column-wise, on each row of data separately. Variable 'xi' stands for the i-th column while 'x0' stands for the row number, e.g. a function f(x1,x2) operates on the first and secod column. With the option -t the function is computed, in turn, on every column. In this case f(x1,x2) stands for a function of the column itself and of the following column (the index being a lead operator). In these cases 'x' is equivalent to 'x1'. With -r or -R the function is recursevely computed "columwise" on each row. In this case the variable 'x' identifies the result of the previous evaluation. A lag operator can be specified with the letter l, like in 'x1l2', which means the first column two steps before. More functions can be specified and will be considered in turn.

OPTIONS

-T  compute the function row-wise, on each column separately.

-t  compute on each column

-r  set initial value and compute recursively

-R  set initial value, compute recursively and print intermediary results

-v  verbose mode

-F  specify the input fields separators (default " \t")

-o  set the output format (default '%12.6e')

-s  set the output separation string (default ' ')

-h  this help

EXAMPLES

gbfun 'x0+log(x2)' < file
    print the log of the second column of 'file' adding the progressive number of the row

gbfun -T 'x0+log(x2)' < file
    print the log of the second row of 'file' adding the progressive number of the column

gbfun -r 0 'x+sqrt(x1)' < file
    print the sum of the square root of the elements of the first column of 'file'

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.